Package org.flowable.job.api

# Interface Job

All Superinterfaces:
  `JobInfo`

All Known Subinterfaces:
  `AcquiredExternalWorkerJob`, `ExternalWorkerJob`

public interface Job extends JobInfo
Represents one job (timer, async job, etc.).

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_EXCLUSIVE`
  `static final String`
  `JOB_TYPE_EXTERNAL_WORKER`
  `static final String`
  `JOB_TYPE_MESSAGE`
  `static final String`
  `JOB_TYPE_TIMER`

  ### Fields inherited from interface org.flowable.job.api.JobInfo

  `MAX_EXCEPTION_MESSAGE_LENGTH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  Get the category for this job.
  `String`
  `getCorrelationId()`
  Returns the correlation id of a job.
  `Date`
  `getCreateTime()`
  Returns the create datetime of the job.
  `Date`
  `getDuedate()`
  Returns the date on which this job is supposed to be processed.
  `String`
  `getElementId()`
  Reference to an element identifier or null if none is set.
  `String`
  `getElementName()`
  Reference to an element name or null if none is set.
  `String`
  `getExecutionId()`
  Returns the specific execution on which the job was created.
  `String`
  `getJobType()`
  Get the job type for this job.
  `String`
  `getProcessDefinitionId()`
  Returns the specific process definition on which the job was created
  `String`
  `getProcessInstanceId()`
  x Returns the id of the process instance which execution created the job.
  `String`
  `getScopeDefinitionId()`
  Reference to a scope definition identifier or null if none is set.
  `String`
  `getScopeId()`
  Reference to a scope identifier or null if none is set.
  `String`
  `getScopeType()`
  Reference to a scope type or null if none is set.
  `String`
  `getSubScopeId()`
  Reference to a sub scope identifier or null if none is set.
  `boolean`
  `isExclusive()`
  Is the job exclusive?

  ### Methods inherited from interface org.flowable.job.api.JobInfo

  `getCustomValues, getExceptionMessage, getId, getJobHandlerConfiguration, getJobHandlerType, getRetries, getTenantId`

- ## Field Details

  - ### JOB_TYPE_TIMER

    static final String JOB_TYPE_TIMER
    See Also:
      - Constant Field Values

  - ### JOB_TYPE_MESSAGE

    static final String JOB_TYPE_MESSAGE
    See Also:
      - Constant Field Values

  - ### JOB_TYPE_EXTERNAL_WORKER

    static final String JOB_TYPE_EXTERNAL_WORKER
    See Also:
      - Constant Field Values

  - ### DEFAULT_EXCLUSIVE

    static final boolean DEFAULT_EXCLUSIVE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getCorrelationId

    String getCorrelationId()
    Returns the correlation id of a job. The same job can be moved around and have its technical id changed. This id allows tracking that job.

  - ### getDuedate

    Date getDuedate()
    Returns the date on which this job is supposed to be processed.

  - ### getProcessInstanceId

    String getProcessInstanceId()
    x Returns the id of the process instance which execution created the job.

  - ### getExecutionId

    String getExecutionId()
    Returns the specific execution on which the job was created.

  - ### getProcessDefinitionId

    String getProcessDefinitionId()
    Returns the specific process definition on which the job was created

  - ### getCategory

    String getCategory()
    Get the category for this job.

  - ### getJobType

    String getJobType()
    Get the job type for this job.

  - ### getElementId

    String getElementId()
    Reference to an element identifier or null if none is set.

  - ### getElementName

    String getElementName()
    Reference to an element name or null if none is set.

  - ### getScopeId

    String getScopeId()
    Reference to a scope identifier or null if none is set.

  - ### getSubScopeId

    String getSubScopeId()
    Reference to a sub scope identifier or null if none is set.

  - ### getScopeType

    String getScopeType()
    Reference to a scope type or null if none is set.

  - ### getScopeDefinitionId

    String getScopeDefinitionId()
    Reference to a scope definition identifier or null if none is set.

  - ### isExclusive

    boolean isExclusive()
    Is the job exclusive?

  - ### getCreateTime

    Date getCreateTime()
    Returns the create datetime of the job.